Bug 438069 - (openjdk-epel) Get java-1.6.0-openjdk in EPEL-5
Get java-1.6.0-openjdk in EPEL-5
Status: CLOSED RAWHIDE
Product: Fedora EPEL
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On: lesstif-epel tzdata-java-epel
Blocks: 443261
  Show dependency treegraph
 
Reported: 2008-03-18 16:45 EDT by Lubomir Kundrak
Modified: 2009-01-07 13:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-19 16:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-18 16:45:55 EDT
This is to track progress on getting OpenJDK Java to EPEL.

+++ This bug was initially created as a clone of Bug #433070 +++

-- Additional comment from erik-fedora@vanpienbroek.nl on 2008-03-11 12:09 EST --
Would it be possible to also add this package to EPEL5? 

-- Additional comment from lkundrak@redhat.com on 2008-03-12 10:48 EST --
Erik: Currently it depends on lesstif (has to be branched for EPEL, not a big
deal), freetype >= 2.3.0 (not a BR, but complains during the build. probably
would work even with older one that's in RHEL?), and newer jpackage-utils and
tzdata-java than are in RHEL. Probably there can be a way found to work this
around, I'll experiment a bit when my initial build is done (and will publish a
repo with this, if anyone's interested).

Moreover, it can be bootstrapped with gcj-1.5.0, but only 1.4.2 is avaliable.
This can be probably worked around by manually adding java-1.6.0-openjdk-devel
to the EPEL build root. I am bootstrapping with one from f9 and it seems to be
sufficient.

-- Additional comment from lkundrak@redhat.com on 2008-03-12 17:01 EST --
Erik: Here's my build of openjdk for RHEL-5, with packages that are not in EPEL:
[1]. Dependencies were grabbed from dist-f9, tzdata was changed due to #437150.
Should we open another bug for efforts to get that in EPEL, so we don't spam
people that were interested in review request into rawhide?

[1] http://netbsd.sk/~lkundrak/openjdk-el5/ (will probably be subject to move to
http://people.redhat.com/lkundrak/openjdk-el5/ but I am over quota and am
waiting for extension approval :)

-- Additional comment from erik-fedora@vanpienbroek.nl on 2008-03-12 17:20 EST --
Great job!
I'll try out your repo in a couple of days to install a package called Alfresco
which requires Java 1.6 on a CentOS 5 machine. I'll let you know if I notice
anything strange.

-- Additional comment from fitzsim@redhat.com on 2008-03-12 17:25 EST --
Would having java-1.6.0-openjdk in EPEL cause conflicts if it were introduced
later in RHEL?

-- Additional comment from lkundrak@redhat.com on 2008-03-12 17:34 EST --
Thomas: Not necessarily. It could be removed from EPEL for that release. To
allow smooth update you would just bump the revision to be bigger that one of
the package in EPEL. We can agree on some revision number and keep the revision
number of the EPEL package smaller than it.

-- Additional comment from fitzsim@redhat.com on 2008-03-12 17:52 EST --
I updated the Java release notes for Fedora 9:

http://fedoraproject.org/wiki/Docs/Beats/Java


-- Additional comment from erik-fedora@vanpienbroek.nl on 2008-03-17 11:40 EST --
(In reply to comment #22)
> Erik: Here's my build of openjdk for RHEL-5, with packages that are not in EPEL:
> [1].

I've just tried installing a fresh CentOS 5 system with your repo enabled during
the installation and your packages were automatically pulled in.

However, when installing Tomcat5 I get the following error :
  Updating  : tomcat5                      ####################### [48/74] 
/usr/bin/build-jar-repository: error: Could not find ecj Java extension for this JVM
/usr/bin/build-jar-repository: error: Some specified jars were not found for
this jvm

This failure makes it impossible to run a tomcat based web-application. I've
tried rebuilding eclipse(-ecj) against java-1.6.0-openjdk, but this fails.

-- Additional comment from lkundrak@redhat.com on 2008-03-17 12:16 EST --
(In reply to comment #22)
> Should we open another bug for efforts to get that in EPEL, so we don't spam
> people that were interested in review request into rawhide?(In reply to
comment #27)

(In reply to comment #27)
> However, when installing Tomcat5 I get the following error :
>   Updating  : tomcat5                      ####################### [48/74] 
> /usr/bin/build-jar-repository: error: Could not find ecj Java extension for
this JVM
> /usr/bin/build-jar-repository: error: Some specified jars were not found for
> this jvm

Works for me, on fairly minimal RHEL-5. 

> 
> This failure makes it impossible to run a tomcat based web-application. I've
> tried rebuilding eclipse(-ecj) against java-1.6.0-openjdk, but this fails.



-- Additional comment from walters@redhat.com on 2008-03-18 15:56 EST --
Has anyone looked at building on EL4?
Comment 1 Bill Nottingham 2008-03-18 16:55:12 EDT
Note that for RHEL you *could*, theoretically, build against the system openmotif.
Comment 2 Lubomir Kundrak 2008-03-18 17:07:39 EDT
(In reply to comment #1)
> Note that for RHEL you *could*, theoretically, build against the system openmotif.

I did not consider this possibility; I'll definitely try to do that. I just
filed a request for lesstif in EPEL though, a while ago.
Comment 3 Erik van Pienbroek 2008-03-18 17:56:12 EDT
(In reply to comment #0)
> -- Additional comment from erik-fedora@vanpienbroek.nl on 2008-03-17 11:40 EST --
> (In reply to comment #22)
> > Erik: Here's my build of openjdk for RHEL-5, with packages that are not in EPEL:
> > [1].
> 
> I've just tried installing a fresh CentOS 5 system with your repo enabled during
> the installation and your packages were automatically pulled in.
> 
> However, when installing Tomcat5 I get the following error :
>   Updating  : tomcat5                      ####################### [48/74] 
> /usr/bin/build-jar-repository: error: Could not find ecj Java extension for
this JVM
> /usr/bin/build-jar-repository: error: Some specified jars were not found for
> this jvm
> 
> This failure makes it impossible to run a tomcat based web-application. I've
> tried rebuilding eclipse(-ecj) against java-1.6.0-openjdk, but this fails.
> 
> -- Additional comment from lkundrak@redhat.com on 2008-03-17 12:16 EST --
> Works for me, on fairly minimal RHEL-5. 
I've been able to get Tomcat and eclipse-ecj operational by manually fixing the
dead symlink to ecj.jar which was in some tomcat folder (can't memorize the full
path right now). I think this problem only occurs when you first install
openjdk-1.6 and afterwards tomcat. More testing needed here...
Comment 4 Lubomir Kundrak 2008-03-19 10:50:29 EDT
Done a successfull build with older freetype and openmotif (not tested
functionality).

Also, let us have CVS (asked lillian, he is OK with this):

Package Change Request
======================
Package Name: java-1.6.0-openjdk
EPEL Owners: lkundrak
New Branches: EL-4 EL-5
Comment 5 Kevin Fenzi 2008-03-19 12:09:19 EDT
cvs done.
Comment 6 Lubomir Kundrak 2008-04-08 06:09:31 EDT
Imported and build for EPEL-5 i386 and x86_64 so far
http://buildsys.fedoraproject.org/plague-results/fedora-5-epel/java-1.6.0-openjdk/
Comment 7 Lubomir Kundrak 2008-04-16 04:18:32 EDT
EPEL-5 for all arches done.
http://buildsys.fedoraproject.org/plague-results/fedora-5-epel/java-1.6.0-openjdk/

Anyone tried RHEL-4?

Note You need to log in before you can comment on or make changes to this bug.